Bug 1279088 - Optimus - won't boot with KMS, runs hot without it
Optimus - won't boot with KMS, runs hot without it
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 15:03 EST by amturnip
Modified: 2016-12-20 10:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:29:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode (22.71 KB, text/plain)
2015-11-09 19:50 EST, amturnip
no flags Details
lspci (1.65 KB, text/plain)
2015-11-09 19:51 EST, amturnip
no flags Details
journalctl (181.65 KB, text/plain)
2015-11-09 19:53 EST, amturnip
no flags Details
dmesg (75.48 KB, text/plain)
2015-11-09 19:53 EST, amturnip
no flags Details
Successful live-image boot with kms, for contrast (278.99 KB, text/plain)
2015-11-09 21:29 EST, amturnip
no flags Details

  None (edit)
Description amturnip 2015-11-07 15:03:50 EST
Description of problem:

On this Optimus-board laptop, a Zareason Alto X440, Fedora 23 Workstation usually freezes before a user can log in unless "nomodeset" is added to the kernel line. 

["nomodeset" is not a good solution here because Fedora 23 does not work well on this laptop *with* nomodeset either.  It runs hot, and does not go to sleep when lid closes.]


Version-Release number of selected component (if applicable):

Fedora 23, Workstation and Server spins


How reproducible:

Nearly always, but the freeze does not always occur at the same point and does not always freeze in the same way


Steps to Reproduce:

1.Turn on power

2.Let grub boot

3.Sometimes, instead of teardrop starting to appear, messages scroll by very fast, seemingly endlessly. See note 1 below.

4.Sometimes, teardrop starts to appear.

5.Sometimes, teardrop gets stuck. 

6.If teardrop does not get stuck, GDM login page appears.

7.Choose user and provide password (or not, if user doesn't need it).

8.Screen goes blank.  Mouse pointer appears in center, and freezes.


Note 1 - messages go by endlessly. Often these are

  nouveau E[ PFIFO][0000:01:00.0] SCHED_ERROR [ UNK06 ]

repeated perhaps thousands of times. Sometimes they are interspersed with

  dracut-initqueue[...]: udevadm: relocation error: /lib64/libz.so.1: symbol __stack_chk_fail, version GLIBC_2.4 not defined in file libc.so.6 with link time reference.  

but the dracut messages are different from boot to boot:  different lib.so's and different GLIBC_ versions.  By and by, the nouveau messages end, and the dracut messages repeat.

I can pause the messages with C-A-D, whereupon once I saw a "kernel panic, not syncing" message and sometimes the caps-lock light blinks. Subsequently if I boot with nomodeset journalctl --list-boots does not show the failed boot, so I do not know how to capture the messages.


Note 2 - Ubuntu 14.04 worked well on this laptop.  But Ubuntu 14.10 and 15.04 had the problems I related above with Fedora 23.
Comment 1 Ben Skeggs 2015-11-07 18:01:10 EST
I don't suppose you can manage to get the full nouveau messages from a kernel log?  I have a suspicion about the bug you're seeing, but need more info to properly diagnose.
Comment 2 amturnip 2015-11-09 19:50 EST
Created attachment 1092026 [details]
dmidecode
Comment 3 amturnip 2015-11-09 19:51 EST
Created attachment 1092028 [details]
lspci
Comment 4 amturnip 2015-11-09 19:53 EST
Created attachment 1092029 [details]
journalctl
Comment 5 amturnip 2015-11-09 19:53 EST
Created attachment 1092030 [details]
dmesg
Comment 6 amturnip 2015-11-09 19:57:12 EST
When the boot fails, there's no evidence of it from "journalctl --list-boots" after subsequently rebooting with nomodeset.  I have posted logs from a successful boot using nomodeset, just in case there might be a clue.

Also, I have attached output from dmidecode and lspci, to be more specific about the hardware.
Comment 7 amturnip 2015-11-09 21:29 EST
Created attachment 1092038 [details]
Successful live-image boot with kms, for contrast

The "live" image boots OK from USB, with KMS.  Here is a journalctl readout from a "live" session.
Comment 8 Fedora End Of Life 2016-11-24 08:10:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 10:29:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.